/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreUsergroup;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreUsergroupRecord extends UpdatableRecordImpl<TCoreUsergroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_usergroup.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_usergroup.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_usergroup.pk</code>. unique id
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_usergroup.pk</code>. unique id
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_usergroup.fk_usnr</code>. reference to
     * user
     */
    public void setFkUsnr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_usergroup.fk_usnr</code>. reference to
     * user
     */
    public Integer getFkUsnr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_usergroup.fk_group</code>. reference to
     * group
     */
    public void setFkGroup(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_usergroup.fk_group</code>. reference to
     * group
     */
    public Integer getFkGroup() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreUsergroupRecord
     */
    public TCoreUsergroupRecord() {
        super(TCoreUsergroup.T_CORE_USERGROUP);
    }

    /**
     * Create a detached, initialised TCoreUsergroupRecord
     */
    public TCoreUsergroupRecord(LocalDateTime lastchange, Integer pk, Integer fkUsnr, Integer fkGroup) {
        super(TCoreUsergroup.T_CORE_USERGROUP);

        setLastchange(lastchange);
        setPk(pk);
        setFkUsnr(fkUsnr);
        setFkGroup(fkGroup);
        resetChangedOnNotNull();
    }
}
